﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using PhoenixCards.GUI;
using PhoenixDLL.Class;
using Microsoft.Win32;
using Utils.Misc;
using Components.SplashBar;
using Utils.Logs;

namespace PhoenixCards
{
    static class Program
    {
        /// <summary>
        /// Point d'entrée principal de l'application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            try
            {                
                Application.Run(new fr_Main());
            }
            catch (Exception ex)
            {
                Components.ErrorCatching.fr_ErrorCatching fr = new Components.ErrorCatching.fr_ErrorCatching();
                Log.Instance.Write(ex, typeof(Program), LogType.Error);
                Options opt = Options.GetInstance();
                fr.IsMailable = false;
                fr.ExceptionToDisplay = ex;
                fr.Remark = "Une erreur non traitée est survenue. Voulez-vous envoyer ces informations au développeur?";
                fr.ShowDialog();
            }
        }
    }
}